#map-container {
    position: relative;
    height: 100%;
    margin-left: -16px;
    margin-right: -16px;
    overflow: hidden;

    > div > .map-panel {
        position: absolute;
        left: 32px;
        top: 80px;
        bottom: 40px;
        width: 35%;

        .card {
            border: 0;
            border-radius: 0;
            box-shadow: 1px 1px 5px rgba($color: #000000, $alpha: 0.2);
            max-height: 100%;

            .card-header {
                border: 0;
                border-radius: 0;

                ul.nav.nav-tabs .nav-item .nav-link.active {
                    background-color: white;
                }
            }

            .card-body {
                overflow: auto;

                > .progress:first-child {
                    margin-top: -4px;
                    margin-bottom: 4px;
                }
            }
        }
    }

    #filter-panel .card-body {
        .list-group {
            margin-bottom: 8px;
        }
    }

    #tooltip {
        position: absolute;
        z-index: 9;
        pointer-events: none;
        overflow-y: hidden;
        font-size: 12px;

        > .hover-tips {
            background: rgba(0, 0, 0, .8);
            color: #fff;
            margin-left: 8px;
            margin-top: 4px;
            font-size: 16px;
            padding: 2px 8px;
            box-shadow: 1px 1px 5px rgba($color: #000000, $alpha: 0.2);
        }

        > .hover-title {
            background: white;
            color: black;
            margin-left: 8px;
            margin-top: 4px;
            font-size: 16px;
            padding: 2px 8px;
            box-shadow: 1px 1px 5px rgba($color: #000000, $alpha: 0.2);

            > span {
                display: inline-block;
                color: #666;
                font-size: 12px;
            }
        }

        &.interactive {
            padding: 8px;
            pointer-events: all;
            background: #fcfcfc;
            color: #444;

            > span {
                display: inline-block;
                color: #666;
                font-size: 12px;
                margin-bottom: 0;
            }

            .list {
                overflow-y: auto;
                max-height: 240px;
            }

            &.multiple {
                h4 {
                    margin-top: -8px;
                    margin-left: -8px;
                    margin-right: -8px;
                    padding: 8px;
                    background-color: #333;
                    color: white;
                    font-size: 18px;
                }

                h5 {
                    font-size: 16px;
                    margin-bottom: 0;
                }

                .items {
                    margin-bottom: 6px;
                }
            }
        }
    }

    #loading {
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 2;
        background-color: rgba(0, 0, 0, .3);
        text-align: center;

        > div {
            position: absolute;
            top: 50%;
            left: 50%;

            > div {
                position: relative;
                top: -50%;
                left: -50%;
            }
        }

        .card-body {
            text-align: center;

            .loader {
                display: inline-block;
            }
        }
    }
}